package cn.com.tenlion.systembase.pojo.dtos.teamuser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: TeamUserDTO
 * @Description: 综治队伍
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:26:41
 * @Version: 3.0
 **/
@ApiModel
public class TeamUserDTO {
    @ApiModelProperty(name = "institutionId", value = "所属机构ID")
    private String institutionId;
    @ApiModelProperty(name = "institutionName", value = "所属机构名称")
    private String institutionName;

    @ApiModelProperty(name = "teamUserId", value = "主键ID")
    private String teamUserId;
    @ApiModelProperty(name = "teamUserName", value = "姓名")
    private String teamUserName;
    @ApiModelProperty(name = "teamUserSexId", value = "性别ID")
    private String teamUserSexId;
    @ApiModelProperty(name = "teamUserSexText", value = "性别中文")
    private String teamUserSexText;
    @ApiModelProperty(name = "teamUserNationId", value = "民族ID")
    private String teamUserNationId;
    @ApiModelProperty(name = "teamUserNationText", value = "民族中文")
    private String teamUserNationText;
    @ApiModelProperty(name = "teamUserPoliticalId", value = "政治面貌ID")
    private String teamUserPoliticalId;
    @ApiModelProperty(name = "teamUserPoliticalText", value = "政治面貌中文")
    private String teamUserPoliticalText;
    @ApiModelProperty(name = "teamUserCard", value = "身份证")
    private String teamUserCard;
    @ApiModelProperty(name = "teamUserBirthday", value = "出生日期")
    private String teamUserBirthday;
    @ApiModelProperty(name = "teamUserLevelId", value = "级别ID")
    private String teamUserLevelId;
    @ApiModelProperty(name = "teamUserLevelText", value = "级别中文")
    private String teamUserLevelText;
    @ApiModelProperty(name = "teamUserPositionId", value = "职务ID")
    private String teamUserPositionId;
    @ApiModelProperty(name = "teamUserPositionText", value = "职务中文")
    private String teamUserPositionText;
    @ApiModelProperty(name = "teamUserSpecialtyId", value = "专业特长ID")
    private String teamUserSpecialtyId;
    @ApiModelProperty(name = "teamUserSpecialtyText", value = "专业特长中文")
    private String teamUserSpecialtyText;
    @ApiModelProperty(name = "teamUserEbId", value = "学历ID")
    private String teamUserEbId;
    @ApiModelProperty(name = "teamUserEbText", value = "学历中文")
    private String teamUserEbText;
    @ApiModelProperty(name = "teamUserPhone1", value = "手机电话")
    private String teamUserPhone1;
    @ApiModelProperty(name = "teamUserPhone2", value = "固定电话")
    private String teamUserPhone2;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "删除状态")
    private Integer isDelete;

    public String getInstitutionId() {
        return institutionId;
    }

    public void setInstitutionId(String institutionId) {
        this.institutionId = institutionId;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getTeamUserId() {
        return teamUserId == null ? "" : teamUserId.trim();
    }

    public void setTeamUserId(String teamUserId) {
        this.teamUserId = teamUserId;
    }

    public String getTeamUserName() {
        return teamUserName == null ? "" : teamUserName.trim();
    }

    public void setTeamUserName(String teamUserName) {
        this.teamUserName = teamUserName;
    }

    public String getTeamUserSexId() {
        return teamUserSexId == null ? "" : teamUserSexId.trim();
    }

    public void setTeamUserSexId(String teamUserSexId) {
        this.teamUserSexId = teamUserSexId;
    }

    public String getTeamUserSexText() {
        return teamUserSexText == null ? "" : teamUserSexText.trim();
    }

    public void setTeamUserSexText(String teamUserSexText) {
        this.teamUserSexText = teamUserSexText;
    }

    public String getTeamUserNationId() {
        return teamUserNationId == null ? "" : teamUserNationId.trim();
    }

    public void setTeamUserNationId(String teamUserNationId) {
        this.teamUserNationId = teamUserNationId;
    }

    public String getTeamUserNationText() {
        return teamUserNationText == null ? "" : teamUserNationText.trim();
    }

    public void setTeamUserNationText(String teamUserNationText) {
        this.teamUserNationText = teamUserNationText;
    }

    public String getTeamUserPoliticalId() {
        return teamUserPoliticalId == null ? "" : teamUserPoliticalId.trim();
    }

    public void setTeamUserPoliticalId(String teamUserPoliticalId) {
        this.teamUserPoliticalId = teamUserPoliticalId;
    }

    public String getTeamUserPoliticalText() {
        return teamUserPoliticalText == null ? "" : teamUserPoliticalText.trim();
    }

    public void setTeamUserPoliticalText(String teamUserPoliticalText) {
        this.teamUserPoliticalText = teamUserPoliticalText;
    }

    public String getTeamUserCard() {
        return teamUserCard == null ? "" : teamUserCard.trim();
    }

    public void setTeamUserCard(String teamUserCard) {
        this.teamUserCard = teamUserCard;
    }

    public String getTeamUserBirthday() {
        return teamUserBirthday == null ? "" : teamUserBirthday.trim();
    }

    public void setTeamUserBirthday(String teamUserBirthday) {
        this.teamUserBirthday = teamUserBirthday;
    }

    public String getTeamUserLevelId() {
        return teamUserLevelId == null ? "" : teamUserLevelId.trim();
    }

    public void setTeamUserLevelId(String teamUserLevelId) {
        this.teamUserLevelId = teamUserLevelId;
    }

    public String getTeamUserLevelText() {
        return teamUserLevelText == null ? "" : teamUserLevelText.trim();
    }

    public void setTeamUserLevelText(String teamUserLevelText) {
        this.teamUserLevelText = teamUserLevelText;
    }

    public String getTeamUserPositionId() {
        return teamUserPositionId == null ? "" : teamUserPositionId.trim();
    }

    public void setTeamUserPositionId(String teamUserPositionId) {
        this.teamUserPositionId = teamUserPositionId;
    }

    public String getTeamUserPositionText() {
        return teamUserPositionText == null ? "" : teamUserPositionText.trim();
    }

    public void setTeamUserPositionText(String teamUserPositionText) {
        this.teamUserPositionText = teamUserPositionText;
    }

    public String getTeamUserSpecialtyId() {
        return teamUserSpecialtyId == null ? "" : teamUserSpecialtyId.trim();
    }

    public void setTeamUserSpecialtyId(String teamUserSpecialtyId) {
        this.teamUserSpecialtyId = teamUserSpecialtyId;
    }

    public String getTeamUserSpecialtyText() {
        return teamUserSpecialtyText == null ? "" : teamUserSpecialtyText.trim();
    }

    public void setTeamUserSpecialtyText(String teamUserSpecialtyText) {
        this.teamUserSpecialtyText = teamUserSpecialtyText;
    }

    public String getTeamUserEbId() {
        return teamUserEbId == null ? "" : teamUserEbId.trim();
    }

    public void setTeamUserEbId(String teamUserEbId) {
        this.teamUserEbId = teamUserEbId;
    }

    public String getTeamUserEbText() {
        return teamUserEbText == null ? "" : teamUserEbText.trim();
    }

    public void setTeamUserEbText(String teamUserEbText) {
        this.teamUserEbText = teamUserEbText;
    }

    public String getTeamUserPhone1() {
        return teamUserPhone1 == null ? "" : teamUserPhone1.trim();
    }

    public void setTeamUserPhone1(String teamUserPhone1) {
        this.teamUserPhone1 = teamUserPhone1;
    }

    public String getTeamUserPhone2() {
        return teamUserPhone2 == null ? "" : teamUserPhone2.trim();
    }

    public void setTeamUserPhone2(String teamUserPhone2) {
        this.teamUserPhone2 = teamUserPhone2;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
